Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#2912 closed defect (fixed)

libdebugger: control reaches end of non-void function

Reported by: Sebastian Huber Owned by: Chris Johns
Priority: normal Milestone: 5.1
Component: score Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

../../../../../../rtems/c/src/../../cpukit/libdebugger/rtems-debugger-server.c:393:1: warning: control reaches end of non-void function [-Wreturn-type]
../../../../../../rtems/c/src/../../cpukit/libdebugger/rtems-debugger-server.c:405:1: warning: control reaches end of non-void function [-Wreturn-type]

Change History (3)

comment:1 Changed on 05/11/17 at 07:31:02 by Sebastian Huber

Milestone: 4.124.12.0

comment:2 Changed on 07/16/17 at 23:31:04 by Chris Johns

Resolution: fixed
Status: newclosed

This looks fixed to me on master.

comment:3 Changed on 11/09/17 at 06:27:14 by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.